
Summary: A Konqueror plugin for music files (MP3, Ogg, Wav) management
Name: 	 musicman
Version: 0.16
Release: 2%{?dist}

URL:	 http://musicman.sourceforge.net/
Source:  http://dl.sourceforge.net/sourceforge/musicman/musicman-%{version}.tar.gz
Group:	 Applications/Multimedia
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

## Hack around broken KDevelop/makefiles
#define mlib %{_libdir}/kde3
#or patch:
Patch1: musicman-0.16-kde_module.patch

BuildRequires: kdelibs-devel 
BuildRequires: kdebase-devel
BuildRequires: automake15

%description
A Konqueror plugin that lets you set ID3 in mass, create MP3 CD covers, 
HTML indexes, organize your music files, etc.


%prep
%setup -q 

%patch1 -p1 -b .kde_module

make -f admin/Makefile.common


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include

%configure \
  %{?mlib:--libdir=%{mlib}} \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependancy-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# See -kde-module.patch instead -- Rex
%if "%{?mlib:1}" == "1" 
# Post make-install ad-hocs for standarization. 
# KDevelop couldn't install in the correct place.
mv $RPM_BUILD_ROOT%mlib/libkcm_musicman.so.0.0.0 $RPM_BUILD_ROOT%mlib/kcm_musicman.so
# Rename and fix the .la file. Specially in the dlname= and library_names= lines
mv $RPM_BUILD_ROOT%mlib/libkcm_musicman.la $RPM_BUILD_ROOT%mlib/kcm_musicman.la
sed -i -e 's|libkcm|kcm|g; s|so\.0|so|g' $RPM_BUILD_ROOT%mlib/kcm_musicman.la
rm $RPM_BUILD_ROOT%mlib/libkcm_musicman*
%endif

# Generic app-icons should be in hicolor theme
[ -d $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg ] && \
[ ! -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor ] && \
mv $RPM_BUILD_ROOT%{_datadir}/icons/crystalsvg \
   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor

%find_lang %{name}


%POST
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:



%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING TODO
%{_libdir}/kde3/*musicman*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/musicman/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/services/musicman.desktop


%changelog
* Mon May 22 2006 Rex Dieter 0.16-2
- kde_module patch to avoid specfile hackery.

* Sun May 21 2006 Rex Dieter 0.16-1
- 0.16

* Tue Aug 30 2005 Rex Dieter 0.15-1
- 0.15

* Fri Apr 22 2005 Rex Dieter 0:0.12-1
- 0.12

* Wed Nov 17 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.11-0.fdr.1
- BR: automake17
- fc3

* Mon Apr 26 2004 Rex Dieter <rexdieter at sf.net> 0:0.11-0.fdr.0
- 0.11

* Thu Dec 04 2003 Rex Dieter <rexdieter at sf.net> 0:0.9-0.fdr.0
- 0.9

* Sun Oct 19 2003 Rex Dieter <rexdieter at sf.net> 0:0.8.5-0.fdr.2
- fix permissions

* Sat Oct 18 2003 Rex Dieter <rexdieter at sf.net> 0:0.8.5-0.fdr.1
- first try
